Opened 3 years ago

Closed 3 years ago

#4292 closed enhancement (fixed)

Add ProRes444XQ Codec support in ffmpeg (enhancement)

Reported by: gregba Owned by:
Priority: wish Component: undetermined
Version: git-master Keywords: prores
Cc: Blocked By:
Blocking: Reproduced by developer: no
Analyzed by developer: no

Description

Summary of the bug:
Apple introduced a new ProRes? flavour some month ago. At the moment ffmpeg is not capable of this
I can run those files, by changing all the 4CC codes in the file from ap4x to ap4h.
So I guess is is just a minor fix in the ffmpeg source code.

Sample file is uploaded to ftp server:
ProRes_444_XQ_samplefile.mov

Apple ProRes? Whitepaper with informations about ProRes444XQ can be found here:
https://www.apple.com/final-cut-pro/docs/Apple_ProRes_White_Paper.pdf

I have posted the request in the ffmpeg forum:
http://ffmpeg.gusari.org/viewtopic.php?f=13&t=1879

Output of ffmpeg -i:
ffmpeg version 2.5.3 Copyright (c) 2000-2015 the FFmpeg developers

built on Jan 19 2015 13:08:24 with llvm-gcc 4.2.1 (LLVM build 2336.11.00)
configuration: --prefix=/Volumes/Ramdisk?/sw --enable-gpl --enable-pthreads --enable-version3 --enable-libspeex --enable-libvpx --disable-decoder=libvpx --enable-libmp3lame --enable-libtheora --enable-libvorbis --enable-libx264 --enable-avfilter --enable-libopencore_amrwb --enable-libopencore_amrnb --enable-filters --enable-libgsm --enable-libvidstab --enable-libx265 --arch=x86_64 --enable-runtime-cpudetect
libavutil 54. 15.100 / 54. 15.100
libavcodec 56. 13.100 / 56. 13.100
libavformat 56. 15.102 / 56. 15.102
libavdevice 56. 3.100 / 56. 3.100
libavfilter 5. 2.103 / 5. 2.103
libswscale 3. 1.101 / 3. 1.101
libswresample 1. 1.100 / 1. 1.100
libpostproc 53. 3.100 / 53. 3.100

[mov,mp4,m4a,3gp,3g2,mj2 @ 0x7f8243804a00] Could not find codec parameters for stream 0 (Video: none (ap4x / 0x78347061), none(bt709), 1920x1080, 394395 kb/s): unknown codec
Consider increasing the value for the 'analyzeduration' and 'probesize' options
Input #0, mov,mp4,m4a,3gp,3g2,mj2, from ‚ProRes_444_XQ_testfile.mov':

Metadata:

major_brand : qt
minor_version : 537199360
compatible_brands: qt ARRI
creation_time : 2015-02-02 08:58:41
timecode : 02:30:05:05

Duration: 00:00:02.67, start: 0.000000, bitrate: 1003256 kb/s

Stream #0:0(eng): Video: none (ap4x / 0x78347061), none(bt709), 1920x1080, 394395 kb/s, SAR 1:1 DAR 16:9, 24 fps, 24 tbr, 24 tbn, 24 tbc (default)
Metadata:

creation_time : 2015-02-02 08:58:41
handler_name : Apple Alias Data Handler
encoder : Apple ProRes? 4444 XQ

Stream #0:1(eng): Data: none (tmcd / 0x64636D74), 0 kb/s (default)
Metadata:

creation_time : 2015-02-02 08:58:41
handler_name : Apple Alias Data Handler
reel_name : A001R0YZ
timecode : 02:30:05:05

Change History (1)

comment:1 Changed 3 years ago by compn

  • Resolution set to fixed
  • Status changed from new to closed
Note: See TracTickets for help on using tickets.